> For the complete documentation index, see [llms.txt](https://docs.wiclax.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wiclax.com/en/networking/exporters.md).

# Exporters

## Purpose of exporters

An exporter acts as a dispatcher of specific data during a live race. It can be a TCP broadcast communicating with a third-party program or device, a USB/Serial communication to a device, or a file export. It is defined as an XML document, to be placed in the /Exporters folder of the Wiclax installation path. All exporters will run under the G-Live module's dependency, and will therefore be launched **as soon as the G-Live service is started for an event.**

## TCP exporters

A TCP exporter sends data in real time. The sending occurs regularly, as well as after each data change on the event (such as the acquisition of a new passing or the manual update of registration data). An exporter can be configured to send the entirety of all passings in the recent history (currently the last 15 depending on the split point).

## Serial exporters

Serial/USB exporters work the same way as TCP exporters, through a serial communication.

## File exporters

File exporters can export certain rankings as files. These exports are triggered just after saving an event file.

## Web Streaming

In this mode, data is transmitted continuously to the Wiclax Live service. A remote client will be able to listen to this stream from anywhere, by

* connecting to the end point wiclax.com:3003
* sending just after the connection the event ID you have defined in the exporter, in order to subscribe to this data stream.

{% hint style="info" %}
This option is only active if the Web Live option is active on your product license.
{% endhint %}

## Available options

type: values `socket`, `serial`, `file`, `post`. Exporter type.

Socket exporter

* `targetIP`: IP address of the exporter target, when operating in TCP client mode.
* `targetPort`: Port number of the exporter target — when operating as a TCP client — or of the open TCP server.
* `actsAsServer`: values `true`, `false`. *true* if the exporter opens a TCP server — *false* if it behaves as a simple TCP client.
* `json`: values `true`, `false`. If *true*, data is sent as JSON-formatted objects.

Socket and serial exporters

* `autoSendFrequency`: integer, minimum 2. Optional, sets the frequency of automatic data transmission — in the absence of an event triggering a data change — in seconds. The default value is 20s.
* `exportAllSplits`: values true, false. True (default) if all checkpoints (start/intermediate/finish) are included in the broadcast. If false, only the finish is processed.
* `integralPush`: values true, false. If true, sends the complete history of recent events in packets, cyclically and each time an event occurs in the event data. If false, sends each pass individually and only at the moment it occurs.
* `dataTemplate`: Text template to send, including data variables with formatting options. See the description of custom data formats below.
* `SendOnConnect`, `sendOnDisconnect`: A string sent respectively on connection and disconnection. Can contain literal "\r" and "\n" characters to output CR-LF sequences.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.wiclax.com/en/networking/exporters.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
